Execution of ‘ambari-sudo.sh /usr/bin/hdp-select set all `ambari-python-wrap /usr/bin/hdp-select versions | grep ^2.6.1.0-129 | tail -1`’ returned 1. ERROR: set command takes 2

Error while starting any service
dh-hw-m1d6.dbp.dailyhunt.in raise ExecutionFailed(err_msg, code, out, err) resource_management.core.exceptions.ExecutionFailed: Execution of 'ambari-sudo.sh /usr/bin/hdp-select set all `ambari-python-wrap /usr/bin/hdp-select versions | grep ^2.6.1.0-129 | tail -1`' returned 1. ERROR: set command takes 2 parameters, instead of 1 usage: distro-select [-h] [<command>] [<package>] [<version>] Set the selected version of HDP.
Traceback (most recent call last):
 File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/after-INSTALL/scripts/hook.py", line 37, in <module>
   AfterInstallHook().execute()
 File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 329, in execute
   method(env)
 File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/after-INSTALL/scripts/hook.py", line 31, in hook
   setup_stack_symlinks()
 File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/after-INSTALL/scripts/shared_initialization.py", line 52, in setup_stack_symlinks
   stack_select.select_all(version)
 File "/usr/lib/python2.6/site-packages/resource_management/libraries/functions/stack_select.py", line 135, in select_all
   Execute(command, only_if = only_if_command)
 File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 155, in __init__
   self.env.run()
 File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 160, in run
   self.run_action(resource, action)
 File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 124, in run_action
   provider_action()
 File "/usr/lib/python2.6/site-packages/resource_management/core/providers/system.py", line 262, in action_run
   tries=self.resource.tries, try_sleep=self.resource.try_sleep)
 File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 72, in inner
   result = function(command, **kwargs)
 File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 102, in checked_call
   tries=tries, try_sleep=try_sleep, timeout_kill_strategy=timeout_kill_strategy)
 File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 150, in _call_wrapper
   result = _call(command, **kwargs_copy)
 File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 303, in _call
   raise ExecutionFailed(err_msg, code, out, err)
To fix this we need to edit hdp-select file
# vi /usr/bin/hdp-select
Search for below code
 except ValueError:
        print ("ERROR: Unexpected file/directory found in %s: %s" % (root, f))
        sys.exit(1)
Change it as mentioned below
 except ValueError:
       pass
       #print ("ERROR: Unexpected file/directory found in %s: %s" % (root, f))
       #sys.exit(1)
This has to be done in all nodes or else services may fail while starting in those nodes
0 Comments

There are no comments yet

Leave a comment

Your email address will not be published. Required fields are marked *